%define dname %{name}_%version

Summary:	Lists files open by processes
Name:		lsof
Version:	4.87
Release:	%mkrel 1
License:	Free
Url:		ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof
Group:		Monitoring
Source0:	ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/%dname.tar.gz
Source1:	ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/%dname.tar.gz.sig
# patch to adapt perl path in the various bundled example 
# perl script ( not upstreamable )
Patch0:		lsof_4.64-perl-example-fix.patch
# patch that enable the option to prevent user from seeing all 
# open file with lsof ( not upstreamable )
Patch1:		lsof_4.60-has-security.patch

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q -c -n %{dname}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d %{dname} ] && cd %{dname}
[ -f %{dname}_src.tar ] && tar xf %{dname}_src.tar
[ -d %{dname}.linux -a ! -d %{dname} ] && \
	mv %{dname}.linux %{dname}
[ -d %{dname}_src ] && cd %{dname}_src

%patch0 -p1
%patch1 -p1

%build
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src

LINUX_BASE=/proc LSOF_LDFLAGS="%{ldflags}" ./Configure -n linux

find -name Makefile | xargs perl -pi -e "s|^CFGL=.*|CFGL=%{ldflags} -L./lib -llsof|g"

%make DEBUG="%{optflags}"

%install
rm -rf %{buildroot}
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src
install -s %{name} -D %{buildroot}%{_sbindir}/%{name}
install -m644 lsof.8 -D %{buildroot}%{_mandir}/man8/lsof.8

%files
%doc %{dname}/00*
%attr(0755,root,kmem) %{_sbindir}/%{name}
%{_mandir}/man8/lsof.8*




%changelog

* Thu Jan 31 2013 luigiwalser <luigiwalser> 4.87-1.mga3
+ Revision: 393689
- 4.87

* Sat Jan 12 2013 umeabot <umeabot> 4.86-2.mga3
+ Revision: 359030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 luigiwalser <luigiwalser> 4.86-1.mga3
+ Revision: 253493
- 4.86

* Mon Jan 23 2012 guillomovitch <guillomovitch> 4.85-1.mga2
+ Revision: 199967
- new version
- spec cleanup

* Fri Feb 18 2011 misc <misc> 4.84-1.mga1
+ Revision: 53389
- add comment on the 2 bundled patches

  + kharec <kharec>
    - imported package lsof


* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 4.84-1mdv2011.0
+ Revision: 570167
- New version 4.84

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 4.83-2mdv2010.1
+ Revision: 519034
- rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 4.83

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.81-3mdv2010.0
+ Revision: 426013
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 4.81-2mdv2009.1
+ Revision: 317039
- rediffed one fuzzy patch
- use %%ldflags

* Fri Oct 31 2008 Frederik Himpe <fhimpe@mandriva.org> 4.81-1mdv2009.1
+ Revision: 299009
- update to new version 4.81

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 4.80-1mdv2009.0
+ Revision: 276517
- new release
- include signature
- fix URL

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.78-4mdv2009.0
+ Revision: 223132
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.78-3mdv2008.1
+ Revision: 152875
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.78-2mdv2008.1
+ Revision: 152873
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 4.78-1mdv2008.0
+ Revision: 80037
- new release


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.0
+ Revision: 114680
- Import lsof

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.1
- unpack patches
- New version 4.77

* Wed Oct 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.76-1mdk
- new release

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.74-1mdk
- new release

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.73-1mdk
- 4.73
- cosmetics

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 4.71-1mdk
- 4.71

